IOSS 2.0

Functions | Variables
anonymous_namespace{Iocgns_DecompositionData.C} Namespace Reference

## Functions
int | zoltan_num_dim (void *data, int *ierr)
int | zoltan_num_obj (void *data, int *ierr)
void | zoltan_obj_list (void *data, int ngid_ent, int nlid_ent, ZOLTAN_ID_PTR gids, ZOLTAN_ID_PTR lids, int wdim, float *wgts, int *ierr)
void | zoltan_geom (void *data, int ngid_ent, int nlid_ent, int nobj, ZOLTAN_ID_PTR gids, ZOLTAN_ID_PTR lids, int ndim, double *geom, int *ierr)
void | create_zone_data (int cgnsFilePtr, std::vector< Iocgns::StructuredZoneData *> &zones)
void | set_line_decomposition (int cgnsFilePtr, const std::string &line_decomposition, std::vector< Iocgns::StructuredZoneData *> &zones)

## Variables
int | rank = 0

## Function Documentation

## ◆ create_zone_data()

void anonymous_namespace{Iocgns_DecompositionData.C}::create_zone_data | ( | int | cgnsFilePtr,
|  | std::vector< Iocgns::StructuredZoneData *> & | zones
| ) |  |

## ◆ set_line_decomposition()

void anonymous_namespace{Iocgns_DecompositionData.C}::set_line_decomposition | ( | int | cgnsFilePtr,
|  | const std::string & | line_decomposition,
|  | std::vector< Iocgns::StructuredZoneData *> & | zones
| ) |  |

## ◆ zoltan_geom()

void anonymous_namespace{Iocgns_DecompositionData.C}::zoltan_geom | ( | void * | data,
|  | int | ngid_ent,
|  | int | nlid_ent,
|  | int | nobj,
|  | ZOLTAN_ID_PTR | gids,
|  | ZOLTAN_ID_PTR | lids,
|  | int | ndim,
|  | double * | geom,
|  | int * | ierr
| ) |  |

## ◆ zoltan_num_dim()

int anonymous_namespace{Iocgns_DecompositionData.C}::zoltan_num_dim | ( | void * | data,
|  | int * | ierr
| ) |  |

## ◆ zoltan_num_obj()

int anonymous_namespace{Iocgns_DecompositionData.C}::zoltan_num_obj | ( | void * | data,
|  | int * | ierr
| ) |  |

## ◆ zoltan_obj_list()

void anonymous_namespace{Iocgns_DecompositionData.C}::zoltan_obj_list | ( | void * | data,
|  | int | ngid_ent,
|  | int | nlid_ent,
|  | ZOLTAN_ID_PTR | gids,
|  | ZOLTAN_ID_PTR | lids,
|  | int | wdim,
|  | float * | wgts,
|  | int * | ierr
| ) |  |

## Variable Documentation

## ◆ rank

int anonymous_namespace{Iocgns_DecompositionData.C}::rank = 0